#ifndef ANIMAROUE_H_INCLUDED
#define ANIMAROUE_H_INCLUDED

#include <iostream>
#include <SDL/SDL.h>

#include "../Animations/Anim_Boucle.h"

///Développeur: Jovian Hersemeule
///Dernière mise à jour le: 20/01/2014
///Objet: quelques petits debug par ci par là...
///Prochain objectif: mettre en fonction et tester objet

/*
==L'objet AnimaRoue==
    +Argument
        VOID
    +Descriptif:
        Permet de créer une animation d'une roue qui tourne. Hérite de Anim_Boucle.
[Fonctions]
FONCTIONS HERITEES: play; stop; pause; coller
*/

class AnimaRoue : public Anim_Boucle
{
    public:
    AnimaRoue();
    virtual ~AnimaRoue();
    virtual void coller(SDL_Surface* support, int x, int y, bool centrer=0);

    protected:
    /*Aucun attribut supplémentaire requis.*/
};

#endif // ANIMAROUE_H_INCLUDED
